Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hammurapi.eventbus
Interface InferenceContext<E,P extends Comparable<P>,C,K,H extends EventBus.Handle<E,P,C>,S extends EventStore<E,P,C,H,S>>

Show UML class diagram

    public interface InferenceContext<E,P extends Comparable<P>,C,K,H extends EventBus.Handle<E,P,C>,S extends EventStore<E,P,C,H,S>>

Context propagated through inference processing.

Method Summary
`InferenceContext<E,P,C,K,H,S>` | `createNext()` Creates inference context with the same executor and root handle.
`EventBus<E,P,C,K,H,S>` | `getBus()`
`TrackingExecutorService` | `getExecutorService()`
`int` | `getInferenceChainLength()`
`Queue<InferenceCommand<E,P,C,K,H,S>>` | `getInferenceCommandsQueue()`
`ExceptionHandler` | `getRootHandle()`
`void` | `postInferenceCommand(InferenceCommand<E,P,C,K,H,S> command)` Adds inference command to the queue or processes it immediately depending on inference policy.
`void` | `processInferenceCommands()` Processes accumulated inference commands, if any.
`void` | `setRootHandle(ExceptionHandler rootHandle)`
`InferenceContext<E,P,C,K,H,S>` | `wrap()` For AFTER_HANDLER

Method Detail

### getInferenceCommandsQueue

    Queue<InferenceCommand<E,P,C,K,H,S>> getInferenceCommandsQueue()

### getInferenceChainLength

    int getInferenceChainLength()

### getExecutorService

    TrackingExecutorService getExecutorService()

### getRootHandle

    ExceptionHandler getRootHandle()

### setRootHandle

    void setRootHandle(ExceptionHandler rootHandle)

### getBus

    EventBus<E,P,C,K,H,S> getBus()

### createNext

    InferenceContext<E,P,C,K,H,S> createNext()

  Creates inference context with the same executor and root handle. The queue is inherited for AFTER_ROOT_EVENT and EXCLUSIVE inference policies. A new queue is created for AFTER_EVENT policy. Otherwise queue is null. Inference chain length is incremented by 1.

  Parameters:
    `isJoin` - - true if invoked from multi-event join step.
  Returns:

### wrap

    InferenceContext<E,P,C,K,H,S> wrap()

  For AFTER_HANDLER

  Returns:

### postInferenceCommand

    void postInferenceCommand(InferenceCommand<E,P,C,K,H,S> command)

  Adds inference command to the queue or processes it immediately depending on inference policy.

  Parameters:
    `command` -

### processInferenceCommands

    void processInferenceCommands()

  Processes accumulated inference commands, if any.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD